MACRO LogWindow_Open()
  MACROTEMP iterator
  DIM iterator AS LONG

  LOCAL hWin, hFont AS DWORD
  GRAPHIC WINDOW "OpenCL log", 100, 100, 400, 350 TO hWin
  GRAPHIC ATTACH hWin, 0, REDRAW
  GRAPHIC CLEAR %WHITE
  GRAPHIC COLOR %BLACK, -2&

  FONT NEW "Courier", 9 TO hFont
  GRAPHIC SET FONT hFont

  FOR i = 0 TO 127
    GRAPHIC LINE (0, i)-(400, i), RGB(i+128,i+128,i+128)
    GRAPHIC LINE (0, 350-i)-(400, 350-i), RGB(i+128,i+128,i+128)
  NEXT

  GRAPHIC ATTACH hWin, 0
  GRAPHIC SET POS (5, 10)

END MACRO

MACRO LogWindow_Save( fileName )
  GRAPHIC SAVE fileName
END MACRO

MACRO LogWindow_Close()
  FONT END hFont
  GRAPHIC WINDOW END
END MACRO

MACRO LogWindow_AddText(lText, endFlag)
  MACROTEMP posx, posy
  DIM posx AS LONG, posy AS LONG

  IF endFlag = -1 OR endFlag = 0 THEN
    GRAPHIC GET POS TO posx, posy
    GRAPHIC SET POS (5, posy)
  END IF

  IF endFlag <> 0 THEN
    GRAPHIC PRINT lText
  ELSE

    GRAPHIC PRINT lText;
  END IF
END MACRO

MACRO LogWindow_AnyKey()
  GRAPHIC WAITKEY$
END MACRO
